Subject: Re: bug#76010: describe-face and minibuffer-next/previous-completion

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Feb 2025 13:01:06 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Jake <[email-masked]>,  [email-masked]
> Date: Mon, 03 Feb 2025 09:44:28 +0200
> 
> >> emacs -Q
> >> M-x describe-face RET
> >> M-<down> M-<down> M-<down>
> >> 
> >> In the minibuffer prompt, I see the completions have accumulated.
> >> I.e. it appears as
> >> boldblink-matching-paren-offscreenabbrev-table-name
> >> instead of the expected
> >> bold
> >> which is the currently highlighted completion candidate.
> >> The same accumulation occurs when M-<up> (minibuffer-previous-completion) is used.
> >
> > Thanks.
> >
> > Juri, this seems to be a regression since Emacs 29, so could you
> > please look into this soon?
> 
> It seems that removal of completion-base-affixes
> and completion-use-base-affixes in bug#48356 broke
> completing-read-multiple.

Thanks.  Dmitry, any chance that you could look into fixing this
ASAP?  I'd like to avoid releasing Emacs 30.1 with this regression.